Subject: bug#26016: Regarding how to link gzip

From: Jim Meyering <[email-masked]>
Date: Mon, 20 Mar 2017 06:50:37 -0700

On Thu, Mar 16, 2017 at 2:03 AM, Sarthak Jain
<[email-masked]> wrote:
> Hi,
> We have followed the following shell commands-
>
> CFLAGS := -gdwarf-2
> gunzip gzip-1.8.tar.gz && tar -xf gzip-1.8.tar
> export CFLAGS
> ./configure --prefix=<some-dir>
> make all
> make install
>
> These are the commands we have executed. Please find the attached output of './configure'. Our build machine is (x86_64 SuSE10SP4)
>
> Thanks
> Sarthak
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Jim Meyering
> Sent: Saturday, March 11, 2017 9:09 AM
> To: Sarthak Jain <[email-masked]>
> Cc: [email-masked]
> Subject: Re: bug#26016: Regarding how to link gzip
>
> tags 26016 moreinfo
> done
>
> On Tue, Mar 7, 2017 at 4:07 AM, Sarthak Jain <[email-masked]> wrote:
>> We are using gzip library in our product and I was upgrading the library to the latest version 1.8. While building, we saw that is it using '/usr/bin/ld' for linking. But on our build machine, we want to link it with 'gcc'.
>> Is there any flag we need to pass while configuring to tell it to link using 'gcc' instead of '/usr/bin/ld'.
>>
>> I tried to see in the configure script but I was not able to get one. Can you please share some info on this?
>
> We may be able to help, but only if you first tell us more about your problem:
>   - what precise commands you ran (starting from the pristine unpacked
> gzip-1.8 tarball)
>   - what output they produced
>   - describe your system, i.e., Fedora 25, Solaris 11, Debian unstable, etc.

Please do not top-post on technical mailing lists.

Your commands start with an invalid "CFLAGS := -gdwarf-2". That would
evoke an error for any bourne shell. If you actually did something
else, please include the *precise* commands that you ran and all
output. Did you actually type "CFLAGS=-gdwarf-2" ? You make it
unnecessarily hard to debug your problem when we have to guess things
like this.

Nothing about your configure output suggests there is a problem, and
you included no output from the "make" commands. I suggest that you
run "make V=1 > out 2>&1" and attach that "out" file if there is some
failure.